Buteo Synchronization Framework: Buteo::SyncBackup Class Reference

Buteo Synchronization Framework

Public Slots | Public Member Functions | Static Public Attributes | List of all members
Buteo::SyncBackup Class Reference

Handles Sync requirements towards Backup. More...

`#include <SyncBackup.h>`

Inheritance diagram for Buteo::SyncBackup:

## Public Slots
uchar | backupStarts (const QDBusMessage &message)
| Called by backup framework when backup starts. More...
uchar | backupFinished (const QDBusMessage &message)
uchar | restoreStarts (const QDBusMessage &message)
uchar | restoreFinished (const QDBusMessage &message)
void | backupServiceUnregistered (const QString &serviceName)
Public Slots inherited from Buteo::SyncBackupProxy
virtual uchar | backupStarts (const QDBusMessage &message)=0
| Sets the required params and stops the servers and any running sync sessions. More...
virtual uchar | backupFinished (const QDBusMessage &message)=0
| Sets the required params and starts the servers. More...
virtual uchar | restoreStarts (const QDBusMessage &message)=0
| Sets the required params and stops the servers and any running sync sessions. More...
virtual uchar | restoreFinished (const QDBusMessage &message)=0
| Sets the required params and starts the servers. More...

## Public Member Functions
| SyncBackup ()
| Default Constructor.
| ~SyncBackup ()
| Destructor.
bool | getBackUpRestoreState ()
| Requests the current state og backup/restore operation.
void | sendReply (uchar aResult)
| Reply to backup framework, result of o/p. More...

## Static Public Attributes
static const char * | DBUS_BACKUP_OBJECT = "/backup"
| path to the backup dbus object

## Additional Inherited Members
Signals inherited from Buteo::SyncBackupProxy
void | backupDone ()
| Notifies about completion of backup. More...
void | startBackup ()
| Notifies about starting of backup. More...
void | restoreDone ()
| Notifies about completion of restore opertaion. More...
void | startRestore ()
| Notifies about starting of restore operation. More...

## Detailed Description

Handles Sync requirements towards Backup.

This class communicates with the Backup daemon for Backup state before starting a sync.

## Member Function Documentation

## ◆ backupFinished

uchar SyncBackup::backupFinished | ( | const QDBusMessage & | message | ) |
| slot

Called by backup framework when backup is completed

Parameters

  message | - result

Returns
  uchar

## ◆ backupServiceUnregistered

void SyncBackup::backupServiceUnregistered | ( | const QString & | serviceName | ) |
| slot

Called if backup service exits/aborts...

Parameters

  serviceName | - name of the service

## ◆ backupStarts

uchar SyncBackup::backupStarts | ( | const QDBusMessage & | message | ) |
| slot

Called by backup framework when backup starts.

Parameters

  message | - result

Returns
  uchar

## ◆ restoreFinished

uchar SyncBackup::restoreFinished | ( | const QDBusMessage & | message | ) |
| slot

Called by backup framework when backup ie restored

Parameters

  message | - result

Returns
  uchar

## ◆ restoreStarts

uchar SyncBackup::restoreStarts | ( | const QDBusMessage & | message | ) |
| slot

Called by backup framework when it starts to restore a backup.

Parameters

  message | - result

Returns
  uchar

## ◆ sendReply()

void SyncBackup::sendReply | ( | uchar | aResult | ) |

Reply to backup framework, result of o/p.

Parameters

  aResult | - result

The documentation for this class was generated from the following files:

- SyncBackup.h
- SyncBackup.cpp